/*
    Mohawk Software Framework by Mohawk Software
    Copyright (C) 1998-2002 Mark L. Woodward
 
    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.
 
    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    General Public License for more details.
 
    You should have received a copy of the GNU General Public
    License along with this library; if not, write to the Free
    Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
    MA 02111-1307, USA
 
    If you want support or to professionally license this library, the author
    can be reached at info@mohawksoft.com
*/ 
#include "plugapi.h"

//
// The plugin does not share the internal data of msession. Therefor calls made 
// to msession MUST go through the msession function pointers.
MSESSION_EXPORTS *msessiond;

// This function is substituded for the default reqExec in the msession
// daemon.
static int reqExec(REQB * *preq)
{
	TRACE_FUNCT("reqExec");
	(*preq)->req.stat = REQ_ERR;
	(*preq)->req.len = 0;
	
	int cb = 0;
	int c;
	MStdioFile msf;

	// Should already be big enough
	REQB *reqbT = SIZEREQB(*preq, 128);

	TRACE_STR((*preq)->req.datum);

	if(msf.exec((*preq)->req.datum))
	{
		while(!msf.eof())
		{
			c = msf.getbyte();

			if(c == EOF)
				break;
			cb++;
			reqbT = SIZEREQB(reqbT, cb);
			reqbT->req.datum[cb-1] = (char)c;
		}	
	}

	*preq = reqbT;

	if(cb)
	{
		(*preq)->req.stat = REQ_OK;
		(*preq)->req.len = cb;
	}
	return (*preq)->req.stat;
}

FN_HANDLER(default)
{
	return MPLUGIN_VER;
}
// Like all other plugins, this plugin must have an init.
// The exports are returned by the init.
// This plugin exports no functions.
FN_INIT(default)
{
	msessiond = (MSESSION_EXPORTS *) exports;

	if(imports)
		*imports = NULL;

	// Replace the existing MREQ_EXEC handler with our own
	msessiond->MsessionReplaceHandler(reqExec, MREQ_EXEC);

	printf("Execute plugin loaded\n");

	return NULL;
}
FN_SHUTDOWN(default)
{
	printf("Function plugin unloaded\n");
}
