/*
    Mohawk Software Framework by Mohawk Software
    Copyright (C) 1998-2002 Mark L. Woodward
 
    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.
 
    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    General Public License for more details.
 
    You should have received a copy of the GNU General Public
    License along with this library; if not, write to the Free
    Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
    MA 02111-1307, USA
 
    If you want support or to professionally license this library, the author
    can be reached at info@mohawksoft.com
*/ 
#include <stdio.h>
#include "plugapi.h"

//
// The plugin does not share the internal data of msession. Therefor calls made 
// to msession MUST go through the msession function pointers.
MSESSION_EXPORTS *msessiond;
static time_t g_tstart;

// This is a typical plugin function for MSession
// It accepts the address of a REQB pointer.
// The p2 param is ignored. (This is an artifact of 
// the Phoenix plugin manager.
// Formats the uptime of the session daemon.
int fntest(REQB **preq, void *p2)
{
	char *p = (*preq)->req.datum;
	int n = (*preq)->req.param;

	printf( "%d parameters: ", n);
	for(int i=0; i < n; i++)
	{
		printf("%s ", p);
		p +=strlen(p)+1;
	}
	printf ("\n");
		
	// Before atempting a return value, you mut make sure the
	// reqb buffer is big enough.
	// This string is small, so it will fit. If you do bad 
	// things here, you do bad things everywhere!
	sprintf((*preq)->req.datum, "%ld", time(0) - g_tstart);

	(*preq)->req.len = strlen((*preq)->req.datum)+1;
	(*preq)->req.stat = REQ_OK;
	return (*preq)->req.stat;
	return 1;
}
// PLUGIN_ESCAPE
// This is a generic entry point into the plugin from
// a client, it is called by the flex plugin.
// p1 is a REQB **
// The php function call is:
// msesssion_plugin(sesssion, param1, param2)
// param1 is sent as name
// (param1 is converted to an integer and stored as req->param)
// param2 is sent as value
// The session table is not locked, however
// a web server is waiting for you.
// This is different than the other plugin calls in that it is a core
// msession request handler.
// param1 should be a number if you intend to use the plugin call to 
// implement more than one function because it is converted to an int
// on the web server.
static int PLUGIN_ESCAPE(void *p1, void *p2)
{
	
	REQB **preq = (REQB**)p1;
	char *session	=(char *)&(*preq)->req.datum[(*preq)->req.session];
	char *param1	=(char *)&(*preq)->req.datum[(*preq)->req.name];
	char *param2	=(char *)&(*preq)->req.datum[(*preq)->req.value];
	int nparam1	= (*preq)->req.param;

	msessiond->errprintf("Call from sesion %s, %s [%d], %s", session, param1, nparam1, param2);

	sprintf((*preq)->req.datum, "Time = %ld\n", time(0));

	(*preq)->req.len = strlen((*preq)->req.datum)+1;
	(*preq)->req.stat = REQ_OK;
	return (*preq)->req.stat;
}


// Like all other plugins, this plugin can have a handler.
FN_HANDLER(default)
{
	return MPLUGIN_VER;
}
// Like all other plugins, this plugin must have an init.
// The exports are returned by the init.
FN_INIT(default)
{
	PLUGFN_OPEN(entries)
	PLUGFN_DECL(fntest)
	PLUGFN_DECL(PLUGIN_ESCAPE)
	PLUGFN_CLOSE

	msessiond = (MSESSION_EXPORTS *) exports;

	g_tstart = time(0);

	msessiond->errprintf("Function plugin loaded");

	if(imports)
		*imports = (PLUGFN *)entries;
	return NULL;
}
// Like all other plugins, this plugin can have a shutdown 
// function.
FN_SHUTDOWN(default)
{
	printf("Function plugin unloaded\n");
}
