/*
    Mohawk Software Framework by Mohawk Software
    Copyright (C) 1998-2002 Mark L. Woodward
 
    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.
 
    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    General Public License for more details.
 
    You should have received a copy of the GNU General Public
    License along with this library; if not, write to the Free
    Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
    MA 02111-1307, USA
 
    If you want support or to professionally license this library, the author
    can be reached at info@mohawksoft.com
*/ 
#include "plugapi.h"

//
// The plugin does not share the internal data of msession. Therefor calls made 
// to msession MUST go through the msession function pointers.
MSESSION_EXPORTS *msessiond;

// This function is used to replace function pointers
// you do not wish to be called.
static int reqNull(REQB **preq)
{
	sprintf((*preq)->req.datum, "Function (%d) Disallowed by protection plugin\n", (*preq)->req.stat);
	(*preq)->req.len = strlen((*preq)->req.datum)+1;
	(*preq)->req.stat = REQ_ERR;
	(*preq)->req.param = REQE_DENIED;
	return (*preq)->req.stat;
}

FN_HANDLER(default)
{
	return MPLUGIN_VER;
}
// Like all other plugins, this plugin must have an init.
// The exports are returned by the init.
FN_INIT(default)
{
	msessiond = (MSESSION_EXPORTS *) exports;

	if(msessiond->verbose)
		msessiond->errprintf("Protection plugin loaded\n");

	if(imports)
		*imports = NULL;

	msessiond->MsessionReplaceHandler(reqNull, MREQ_LIST);

	return NULL;
}
FN_SHUTDOWN(default)
{
	if(msessiond->verbose)
		errprintf("Function plugin unloaded\n");
}
