/*
    Mohawk Software Framework by Mohawk Software
    Copyright (C) 1998-2001 Mark L. Woodward
 
    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.
 
    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.
 
    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free
    Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
    MA 02111-1307, USA
 
    If you want support or to commercially license this library, the author
    can be reached at info@mohawksoft.com
*/ 
#ifndef _MFAMORT_
#define _MFAMORT_

/**
	Calculate payment for amount.
	Amount, amount loaned
	rate, rate per payment
	payments, total number of payments
*/
class MFAmort
{
	protected:
	double	m_payment;
	double	m_Interest;
	double 	m_TotalInterest;
	double	m_principal;
	


	// User entered data
	int	m_position;	// Current position in loan;
	double	m_periods;	// Number of periods per loan
	double	m_pmts;		// number of payments per period
	double	m_rate;		// Rate of loan per period;
	double 	m_amount;	// amount of loan

	double	round(double number);


	public:
	MFAmort();
	virtual	void 	SetRate(double rate);
	virtual	void 	SetPmts(double pmts);
	virtual	void	SetPeriods(double periods);
	virtual	void	SetAmount(double amount);
	virtual	void	SetPosition(int pmt);
		
	virtual	double	Payment();
	virtual	double	Principal();
	virtual	double	Interest();
	virtual	double	TotalInterest();

	virtual	int 	update();
};

#endif
