/*
    Mohawk Software Framework by Mohawk Software
    Copyright (C) 1998-2001 Mark L. Woodward
 
    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.
 
    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.
 
    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free
    Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
    MA 02111-1307, USA
 
    If you want support or to commercially license this library, the author
    can be reached at info@mohawksoft.com
*/ 
#include "Phoenix.h"


MServerThreadCore::MServerThreadCore()
{
}
MServerThreadCore::~MServerThreadCore()
{
}

void MServerThreadCore::PrepSocket(MSock *ms)
{
	ms->TcpNoDelay(1);
}

void MServerThreadCore::CloseSocket(MSock *ms)
{
	ms->Close();
}
void MServerThreadCore::CleanUp(void)
{
}

Boolean MServerThreadCore::PreAccept()
{
	return TRUE;
}

MServerThread::MServerThread(MSock *listener)
{
	m_listener = listener;
}

MServerThread::~MServerThread()
{
}
void MServerThread::threadLoop()
{
	Boolean fContinue = TRUE;
	MSock ms ;

	while(!m_fQuit && fContinue)
	{
		if(!PreAccept())
			continue;

		if(m_listener->Accept(&ms))
		{
			PrepSocket(&ms);
			m_ctStart = times(&m_tmsStart);
			fContinue = HandleSocket(&ms);
			CloseSocket(&ms);
			m_ctEnd = times(&m_tmsEnd);
			CleanUp();
		}
	}
}

MTServerThread::MTServerThread(MMTServer *mtsvr)
{
	m_tsvr = mtsvr;
}

MTServerThread::~MTServerThread()
{
}
void MTServerThread::threadLoop()
{
	Boolean fContinue = TRUE;
	MSock ms ;

	while(!m_fQuit && fContinue)
	{
		if(!PreAccept())
			continue;

		if(m_tsvr->Accept(&ms))
		{
			PrepSocket(&ms);
			m_ctStart = times(&m_tmsStart);
			fContinue = HandleSocket(&ms);
			m_ctEnd = times(&m_tmsEnd);

			if(ms.GetRawSock() != EMPTY_SOCK)
				m_tsvr->Release(&ms);
		}
	}
}
