/*
    Mohawk Software Framework by Mohawk Software
    Copyright (C) 1998-2001 Mark L. Woodward
 
    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.
 
    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.
 
    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free
    Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
    MA 02111-1307, USA
 
    If you want support or to commercially license this library, the author
    can be reached at info@mohawksoft.com
*/ 
#include "Phoenix.h"

class MServerPool : public MSock, protected MThread
{
	
	protected:
	int	m_cListen;
	MTCircleBuffer < MSock *>  m_waiting;

	void threadLoop(void);

	public:
	MServerPool(int port,int nBuffer=32, int cListen=16,int fam=AF_INET,int type=SOCK_STREAM,int proto=0);
	MSock *Get(int retry=0, int sleep=100);
};


void MServerPool::threadLoop()
{
	MSock *ms;

	if(Listen(m_cListen))
	{
		while(!m_fQuit)
		{
			ms = Accept();
			
			if(ms)
			{
				while(!m_fQuit)
				{
					if(m_waiting.Put(ms)!=FALSE)
						break;

					usleep(100);
				}
			}
		}
	}
}

MSock *MServerPool::Get(int retry, int csleep)
{
	MSock *pms = NULL;

	m_waiting.Get(&pms);

	while(!pms && retry--)
	{
		usleep(csleep);
		m_waiting.Get(&pms);
	}
	return pms;
	
}
MServerPool::MServerPool(int port, int nbuffer, int cListen, int fam, int type, int proto) :
	MSock(port,fam,type,proto),
	m_waiting(nbuffer)
{
	m_cListen = cListen;
}

