/*
    Mohawk Software Framework by Mohawk Software
    Copyright (C) 1998-2001 Mark L. Woodward
 
    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.
 
    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.
 
    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free
    Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
    MA 02111-1307, USA
 
    If you want support or to commercially license this library, the author
    can be reached at info@mohawksoft.com
*/ 
#include "Phoenix.h"

#include "tkntbl.h"

#define DEF_OQ	'\"'
#define DEF_CQ	'\"'


MTokenize::MTokenize(char oq, char cq)
{
	memcpy(m_tkntbl, g_tokendef_tbl, 256);
	memcpy(m_tkntblends, g_tokenstart_tbl, 256);
	m_openQ = oq;
	m_closeQ = cq;
	m_fMetaphone = FALSE;
	
}

MTokenize::~MTokenize()
{
}
#if 0
Boolean MTokenize::handle(char *token, int cb)
{
	mferr.mfprintf("Token:%s[%d]\n", token, cb);
	return TRUE;
}
#endif

Boolean MTokenize::SendToken(char *token, int cb)
{
	if(cb)
	{
		if(m_fMetaphone == 1)
		{
			char meta[MAX_STRING];
			cb = TokenMetaphone(meta, token);
			return HandleToken(meta, cb, token);
		}
		else if (m_fMetaphone == 2)	
		{
			char meta[MAX_STRING];
			cb = VowelMetaphone(meta, token);
			return HandleToken(meta, cb, token);
		}
		else
		{
			return HandleToken(token, cb, token);
		}
	}
	return TRUE; // And empty token is not an error.
}


int MTokenize::parse(char *string)
{
	unsigned char buffer[MAX_STRING];
	unsigned char *pstart;
        unsigned char *pend;
	unsigned char *p;
	int count=0;
	Boolean	fBegin;

	pstart = (unsigned char *)string;

	while(*pstart)
	{
		// Look for a proper beginning character.
		while(*pstart && !m_tkntblends[*pstart] && *pstart != m_openQ)
			pstart++;

		// If the sting is empty, no tokens for you.
		if(!*pstart)
			break;

		// Set temp pointer
		p = buffer;

		fBegin = TRUE;

		if(*pstart != m_openQ)
		{
			// If here is is not a quoted string.
			unsigned char c;
			unsigned char ct;

			// Start and end start the same
			pend = pstart;

			c = (fBegin) ? m_tkntblends[*pend] : m_tkntbl[*pend];

			pend++;

			fBegin = FALSE;

			while(c)
			{
				// Valid token char, use it.
				*p++ = c ;

				if(!*pend)
					break; // A zero always ends a string.
				ct = m_tkntblends[*pend];
				c = m_tkntbl[*pend++];

				if(c && !ct)
				{ 	// If it is not a valid char to end a line
					// but a valid char to be in a line
					// quit.
					// i.e. "king's" should be "king's"
					// but "king'" should be "king"
					if(!m_tkntbl[*pend])
						break;
				}
			}
			*p=0;
			count++;
			int cb = (int)(p-buffer);
			if(!SendToken((char *)buffer, cb))
				break;

			pstart = pend;
		}
		else // A quoted string
		{
			pstart++;
			pend = (unsigned char *)strchr((const char *)pstart, m_closeQ);

			if(pend)
			{
				int cb = pend - pstart;
				memcpy(buffer, pstart, cb);
				buffer[cb]=0;
				
				count++;

				if(!SendToken((char *)buffer,cb+1))
					break;

				pstart = ++pend;
			}
		}
	}                                                                                     	

	return count;
}

void MTokenize::setchar(unsigned char c, unsigned char xlat)
{
	m_tkntbl[c] = xlat;
}

void MTokenize::setend(unsigned char c, unsigned char val)
{
	m_tkntblends[c] = val;
}
void MTokenize::SetMetaphone(Boolean fphone)
{
	if(fphone)
		m_fMetaphone = 1;
	else
		m_fMetaphone = 0;
}
	
void MTokenize::SetVowelphone(Boolean fphone)
{
	if(fphone)
		m_fMetaphone = 2;
	else
		m_fMetaphone = 0;
}
