/*
    Mohawk Software Framework by Mohawk Software
    Copyright (C) 1998-2001 Mark L. Woodward
 
    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.
 
    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.
 
    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free
    Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
    MA 02111-1307, USA
 
    If you want support or to commercially license this library, the author
    can be reached at info@mohawksoft.com
*/ 

#include "Phoenix.h"

void InitPhoenix(int argc, char **argv)
{
	struct tms buf;
	int seed;

	seed = times(&buf) + time(0);

#ifdef POSIX
	FILE *f = fopen("/dev/urandom", "rb");

	if(f)
	{
		fread(&seed, 1, sizeof(seed), f);
		fclose(f);
	}
#endif
	srand(seed);

#ifdef ATOMIC_STUBS
	MutexInit(&s_atomic);
#endif

#ifdef WIN32
	WSADATA wsa;
 
	if(WSAStartup(MAKEWORD(2,2), &wsa))
	{
		printf("Could not open socket session\n");
		exit(-1);
	}

	_fmode = _O_BINARY;
#endif
}
