/*
    Mohawk Software Framework by Mohawk Software
    Copyright (C) 1998-2001 Mark L. Woodward
 
    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.
 
    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.
 
    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free
    Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
    MA 02111-1307, USA
 
    If you want support or to commercially license this library, the author
    can be reached at info@mohawksoft.com
*/ 
#ifndef _TKNTBL_
#define _TKNTBL_

/** a 256 entry table that translates characters to token values. 
zero is non-tokenizable.*/
unsigned char g_tokendef_tbl[]={
	  0, /* 0x00 [ ] [ ]*/
	  0, /* 0x01 [ ] [ ]*/
	  0, /* 0x02 [ ] [ ]*/
	  0, /* 0x03 [ ] [ ]*/
	  0, /* 0x04 [ ] [ ]*/
	  0, /* 0x05 [ ] [ ]*/
	  0, /* 0x06 [ ] [ ]*/
	  0, /* 0x07 [ ] [ ]*/
	  0, /* 0x08 [ ] [ ]*/
	  0, /* 0x09 [ ] [ ]*/
	  0, /* 0x0A [ ] [ ]*/
	  0, /* 0x0B [ ] [ ]*/
	  0, /* 0x0C [ ] [ ]*/
	  0, /* 0x0D [ ] [ ]*/
	  0, /* 0x0E [ ] [ ]*/
	  0, /* 0x0F [ ] [ ]*/
	  0, /* 0x10 [ ] [ ]*/
	  0, /* 0x11 [ ] [ ]*/
	  0, /* 0x12 [ ] [ ]*/
	  0, /* 0x13 [ ] [ ]*/
	  0, /* 0x14 [ ] [ ]*/
	  0, /* 0x15 [ ] [ ]*/
	  0, /* 0x16 [ ] [ ]*/
	  0, /* 0x17 [ ] [ ]*/
	  0, /* 0x18 [ ] [ ]*/
	  0, /* 0x19 [ ] [ ]*/
	  0, /* 0x1A [ ] [ ]*/
	  0, /* 0x1B [ ] [ ]*/
	  0, /* 0x1C [ ] [ ]*/
	  0, /* 0x1D [ ] [ ]*/
	  0, /* 0x1E [ ] [ ]*/
	  0, /* 0x1F [ ] [ ]*/
	  0, /* 0x20 [ ] [ ]*/
	  0, /* 0x21 [ ] [!]*/
	  0, /* 0x22 [ ] ["]*/
	  0, /* 0x23 [ ] [#]*/
	  0, /* 0x24 [ ] [$]*/
	  0, /* 0x25 [ ] [%]*/
	  0, /* 0x26 [ ] [&]*/
	 39, /* 0x27 ['] [']*/
	  0, /* 0x28 [ ] [(]*/
	  0, /* 0x29 [ ] [)]*/
	  0, /* 0x2A [ ] [*]*/
	  0, /* 0x2B [ ] [+]*/
	  0, /* 0x2C [ ] [,]*/
	  0, /* 0x2D [ ] [-]*/
	  0, /* 0x2E [ ] [.]*/
	  0, /* 0x2F [ ] [/]*/
	 48, /* 0x30 [0] [0]*/
	 49, /* 0x31 [1] [1]*/
	 50, /* 0x32 [2] [2]*/
	 51, /* 0x33 [3] [3]*/
	 52, /* 0x34 [4] [4]*/
	 53, /* 0x35 [5] [5]*/
	 54, /* 0x36 [6] [6]*/
	 55, /* 0x37 [7] [7]*/
	 56, /* 0x38 [8] [8]*/
	 57, /* 0x39 [9] [9]*/
	  0, /* 0x3A [ ] [:]*/
	  0, /* 0x3B [ ] [;]*/
	  0, /* 0x3C [ ] [<]*/
	  0, /* 0x3D [ ] [=]*/
	  0, /* 0x3E [ ] [>]*/
	  0, /* 0x3F [ ] [?]*/
	  0, /* 0x40 [ ] [@]*/
	 97, /* 0x41 [a] [A]*/
	 98, /* 0x42 [b] [B]*/
	 99, /* 0x43 [c] [C]*/
	100, /* 0x44 [d] [D]*/
	101, /* 0x45 [e] [E]*/
	102, /* 0x46 [f] [F]*/
	103, /* 0x47 [g] [G]*/
	104, /* 0x48 [h] [H]*/
	105, /* 0x49 [i] [I]*/
	106, /* 0x4A [j] [J]*/
	107, /* 0x4B [k] [K]*/
	108, /* 0x4C [l] [L]*/
	109, /* 0x4D [m] [M]*/
	110, /* 0x4E [n] [N]*/
	111, /* 0x4F [o] [O]*/
	112, /* 0x50 [p] [P]*/
	113, /* 0x51 [q] [Q]*/
	114, /* 0x52 [r] [R]*/
	115, /* 0x53 [s] [S]*/
	116, /* 0x54 [t] [T]*/
	117, /* 0x55 [u] [U]*/
	118, /* 0x56 [v] [V]*/
	119, /* 0x57 [w] [W]*/
	120, /* 0x58 [x] [X]*/
	121, /* 0x59 [y] [Y]*/
	122, /* 0x5A [z] [Z]*/
	  0, /* 0x5B [ ] [[]*/
	  0, /* 0x5C [ ] [\]*/
	  0, /* 0x5D [ ] []]*/
	  0, /* 0x5E [ ] [^]*/
	  0, /* 0x5F [ ] [_]*/
	  0, /* 0x60 [ ] [`]*/
	 97, /* 0x61 [a] [a]*/
	 98, /* 0x62 [b] [b]*/
	 99, /* 0x63 [c] [c]*/
	100, /* 0x64 [d] [d]*/
	101, /* 0x65 [e] [e]*/
	102, /* 0x66 [f] [f]*/
	103, /* 0x67 [g] [g]*/
	104, /* 0x68 [h] [h]*/
	105, /* 0x69 [i] [i]*/
	106, /* 0x6A [j] [j]*/
	107, /* 0x6B [k] [k]*/
	108, /* 0x6C [l] [l]*/
	109, /* 0x6D [m] [m]*/
	110, /* 0x6E [n] [n]*/
	111, /* 0x6F [o] [o]*/
	112, /* 0x70 [p] [p]*/
	113, /* 0x71 [q] [q]*/
	114, /* 0x72 [r] [r]*/
	115, /* 0x73 [s] [s]*/
	116, /* 0x74 [t] [t]*/
	117, /* 0x75 [u] [u]*/
	118, /* 0x76 [v] [v]*/
	119, /* 0x77 [w] [w]*/
	120, /* 0x78 [x] [x]*/
	121, /* 0x79 [y] [y]*/
	122, /* 0x7A [z] [z]*/
	  0, /* 0x7B [ ] [{]*/
	  0, /* 0x7C [ ] [|]*/
	  0, /* 0x7D [ ] [}]*/
	  0, /* 0x7E [ ] [~]*/
	  0, /* 0x7F [ ] [ ]*/
	  0, /* 0x80 [ ] []*/
	  0, /* 0x81 [ ] []*/
	  0, /* 0x82 [ ] []*/
	  0, /* 0x83 [ ] []*/
	  0, /* 0x84 [ ] []*/
	  0, /* 0x85 [ ] []*/
	  0, /* 0x86 [ ] []*/
	  0, /* 0x87 [ ] []*/
	  0, /* 0x88 [ ] []*/
	  0, /* 0x89 [ ] []*/
	  0, /* 0x8A [ ] []*/
	  0, /* 0x8B [ ] []*/
	  0, /* 0x8C [ ] []*/
	  0, /* 0x8D [ ] []*/
	  0, /* 0x8E [ ] []*/
	  0, /* 0x8F [ ] []*/
	  0, /* 0x90 [ ] []*/
	  0, /* 0x91 [ ] []*/
	  0, /* 0x92 [ ] []*/
	  0, /* 0x93 [ ] []*/
	  0, /* 0x94 [ ] []*/
	  0, /* 0x95 [ ] []*/
	  0, /* 0x96 [ ] []*/
	  0, /* 0x97 [ ] []*/
	  0, /* 0x98 [ ] []*/
	  0, /* 0x99 [ ] []*/
	  0, /* 0x9A [ ] []*/
	  0, /* 0x9B [ ] []*/
	  0, /* 0x9C [ ] []*/
	  0, /* 0x9D [ ] []*/
	  0, /* 0x9E [ ] []*/
	  0, /* 0x9F [ ] []*/
	  0, /* 0xA0 [ ] []*/
	  0, /* 0xA1 [ ] []*/
	  0, /* 0xA2 [ ] []*/
	  0, /* 0xA3 [ ] []*/
	  0, /* 0xA4 [ ] []*/
	  0, /* 0xA5 [ ] []*/
	  0, /* 0xA6 [ ] []*/
	  0, /* 0xA7 [ ] []*/
	  0, /* 0xA8 [ ] []*/
	  0, /* 0xA9 [ ] []*/
	  0, /* 0xAA [ ] []*/
	  0, /* 0xAB [ ] []*/
	  0, /* 0xAC [ ] []*/
	  0, /* 0xAD [ ] []*/
	  0, /* 0xAE [ ] []*/
	  0, /* 0xAF [ ] []*/
	  0, /* 0xB0 [ ] []*/
	  0, /* 0xB1 [ ] []*/
	  0, /* 0xB2 [ ] []*/
	  0, /* 0xB3 [ ] []*/
	  0, /* 0xB4 [ ] []*/
	  0, /* 0xB5 [ ] []*/
	  0, /* 0xB6 [ ] []*/
	  0, /* 0xB7 [ ] []*/
	  0, /* 0xB8 [ ] []*/
	  0, /* 0xB9 [ ] []*/
	  0, /* 0xBA [ ] []*/
	  0, /* 0xBB [ ] []*/
	  0, /* 0xBC [ ] []*/
	  0, /* 0xBD [ ] []*/
	  0, /* 0xBE [ ] []*/
	  0, /* 0xBF [ ] []*/
	 97, /* 0xC0 [a] []*/
	 97, /* 0xC1 [a] []*/
	 97, /* 0xC2 [a] []*/
	 97, /* 0xC3 [a] []*/
	 97, /* 0xC4 [a] []*/
	 97, /* 0xC5 [a] []*/
	 97, /* 0xC6 [a] []*/
	 99, /* 0xC7 [c] []*/
	101, /* 0xC8 [e] []*/
	101, /* 0xC9 [e] []*/
	101, /* 0xCA [e] []*/
	101, /* 0xCB [e] []*/
	105, /* 0xCC [i] []*/
	105, /* 0xCD [i] []*/
	105, /* 0xCE [i] []*/
	105, /* 0xCF [i] []*/
	  0, /* 0xD0 [ ] []*/
	110, /* 0xD1 [n] []*/
	111, /* 0xD2 [o] []*/
	111, /* 0xD3 [o] []*/
	111, /* 0xD4 [o] []*/
	111, /* 0xD5 [o] []*/
	111, /* 0xD6 [o] []*/
	120, /* 0xD7 [x] []*/
	 48, /* 0xD8 [0] []*/
	117, /* 0xD9 [u] []*/
	117, /* 0xDA [u] []*/
	117, /* 0xDB [u] []*/
	117, /* 0xDC [u] []*/
	121, /* 0xDD [y] []*/
	  0, /* 0xDE [ ] []*/
	  0, /* 0xDF [ ] []*/
	 97, /* 0xE0 [a] []*/
	 97, /* 0xE1 [a] []*/
	 97, /* 0xE2 [a] []*/
	 97, /* 0xE3 [a] []*/
	 97, /* 0xE4 [a] []*/
	 97, /* 0xE5 [a] []*/
	 97, /* 0xE6 [a] []*/
	 99, /* 0xE7 [c] []*/
	101, /* 0xE8 [e] []*/
	101, /* 0xE9 [e] []*/
	101, /* 0xEA [e] []*/
	101, /* 0xEB [e] []*/
	105, /* 0xEC [i] []*/
	105, /* 0xED [i] []*/
	105, /* 0xEE [i] []*/
	105, /* 0xEF [i] []*/
	111, /* 0xF0 [o] []*/
	111, /* 0xF1 [o] []*/
	111, /* 0xF2 [o] []*/
	111, /* 0xF3 [o] []*/
	111, /* 0xF4 [o] []*/
	111, /* 0xF5 [o] []*/
	111, /* 0xF6 [o] []*/
	111, /* 0xF7 [o] []*/
	111, /* 0xF8 [o] []*/
	117, /* 0xF9 [u] []*/
	117, /* 0xFA [u] []*/
	117, /* 0xFB [u] []*/
	117, /* 0xFC [u] []*/
	121, /* 0xFD [y] []*/
	112, /* 0xFE [p] []*/
	121  /* 0xFF [y] []*/
};
/** a 256 entry table that translates characters to token values. 
zero is non-tokenizable. This table is different in that it is used
to recognize the starting and ending characters of a token.*/
unsigned char g_tokenstart_tbl[]={
	  0, /* 0x00 [ ] [ ]*/
	  0, /* 0x01 [ ] [ ]*/
	  0, /* 0x02 [ ] [ ]*/
	  0, /* 0x03 [ ] [ ]*/
	  0, /* 0x04 [ ] [ ]*/
	  0, /* 0x05 [ ] [ ]*/
	  0, /* 0x06 [ ] [ ]*/
	  0, /* 0x07 [ ] [ ]*/
	  0, /* 0x08 [ ] [ ]*/
	  0, /* 0x09 [ ] [ ]*/
	  0, /* 0x0A [ ] [ ]*/
	  0, /* 0x0B [ ] [ ]*/
	  0, /* 0x0C [ ] [ ]*/
	  0, /* 0x0D [ ] [ ]*/
	  0, /* 0x0E [ ] [ ]*/
	  0, /* 0x0F [ ] [ ]*/
	  0, /* 0x10 [ ] [ ]*/
	  0, /* 0x11 [ ] [ ]*/
	  0, /* 0x12 [ ] [ ]*/
	  0, /* 0x13 [ ] [ ]*/
	  0, /* 0x14 [ ] [ ]*/
	  0, /* 0x15 [ ] [ ]*/
	  0, /* 0x16 [ ] [ ]*/
	  0, /* 0x17 [ ] [ ]*/
	  0, /* 0x18 [ ] [ ]*/
	  0, /* 0x19 [ ] [ ]*/
	  0, /* 0x1A [ ] [ ]*/
	  0, /* 0x1B [ ] [ ]*/
	  0, /* 0x1C [ ] [ ]*/
	  0, /* 0x1D [ ] [ ]*/
	  0, /* 0x1E [ ] [ ]*/
	  0, /* 0x1F [ ] [ ]*/
	  0, /* 0x20 [ ] [ ]*/
	  0, /* 0x21 [ ] [!]*/
	  0, /* 0x22 [ ] ["]*/
	  0, /* 0x23 [ ] [#]*/
	  0, /* 0x24 [ ] [$]*/
	  0, /* 0x25 [ ] [%]*/
	  0, /* 0x26 [ ] [&]*/
	  0, /* 0x27 [ ] [']*/
	  0, /* 0x28 [ ] [(]*/
	  0, /* 0x29 [ ] [)]*/
	  0, /* 0x2A [ ] [*]*/
	  0, /* 0x2B [ ] [+]*/
	  0, /* 0x2C [ ] [,]*/
	  0, /* 0x2D [ ] [-]*/
	  0, /* 0x2E [ ] [.]*/
	  0, /* 0x2F [ ] [/]*/
	 48, /* 0x30 [0] [0]*/
	 49, /* 0x31 [1] [1]*/
	 50, /* 0x32 [2] [2]*/
	 51, /* 0x33 [3] [3]*/
	 52, /* 0x34 [4] [4]*/
	 53, /* 0x35 [5] [5]*/
	 54, /* 0x36 [6] [6]*/
	 55, /* 0x37 [7] [7]*/
	 56, /* 0x38 [8] [8]*/
	 57, /* 0x39 [9] [9]*/
	  0, /* 0x3A [ ] [:]*/
	  0, /* 0x3B [ ] [;]*/
	  0, /* 0x3C [ ] [<]*/
	  0, /* 0x3D [ ] [=]*/
	  0, /* 0x3E [ ] [>]*/
	  0, /* 0x3F [ ] [?]*/
	  0, /* 0x40 [ ] [@]*/
	 97, /* 0x41 [a] [A]*/
	 98, /* 0x42 [b] [B]*/
	 99, /* 0x43 [c] [C]*/
	100, /* 0x44 [d] [D]*/
	101, /* 0x45 [e] [E]*/
	102, /* 0x46 [f] [F]*/
	103, /* 0x47 [g] [G]*/
	104, /* 0x48 [h] [H]*/
	105, /* 0x49 [i] [I]*/
	106, /* 0x4A [j] [J]*/
	107, /* 0x4B [k] [K]*/
	108, /* 0x4C [l] [L]*/
	109, /* 0x4D [m] [M]*/
	110, /* 0x4E [n] [N]*/
	111, /* 0x4F [o] [O]*/
	112, /* 0x50 [p] [P]*/
	113, /* 0x51 [q] [Q]*/
	114, /* 0x52 [r] [R]*/
	115, /* 0x53 [s] [S]*/
	116, /* 0x54 [t] [T]*/
	117, /* 0x55 [u] [U]*/
	118, /* 0x56 [v] [V]*/
	119, /* 0x57 [w] [W]*/
	120, /* 0x58 [x] [X]*/
	121, /* 0x59 [y] [Y]*/
	122, /* 0x5A [z] [Z]*/
	  0, /* 0x5B [ ] [[]*/
	  0, /* 0x5C [ ] [\]*/
	  0, /* 0x5D [ ] []]*/
	  0, /* 0x5E [ ] [^]*/
	  0, /* 0x5F [ ] [_]*/
	  0, /* 0x60 [ ] [`]*/
	 97, /* 0x61 [a] [a]*/
	 98, /* 0x62 [b] [b]*/
	 99, /* 0x63 [c] [c]*/
	100, /* 0x64 [d] [d]*/
	101, /* 0x65 [e] [e]*/
	102, /* 0x66 [f] [f]*/
	103, /* 0x67 [g] [g]*/
	104, /* 0x68 [h] [h]*/
	105, /* 0x69 [i] [i]*/
	106, /* 0x6A [j] [j]*/
	107, /* 0x6B [k] [k]*/
	108, /* 0x6C [l] [l]*/
	109, /* 0x6D [m] [m]*/
	110, /* 0x6E [n] [n]*/
	111, /* 0x6F [o] [o]*/
	112, /* 0x70 [p] [p]*/
	113, /* 0x71 [q] [q]*/
	114, /* 0x72 [r] [r]*/
	115, /* 0x73 [s] [s]*/
	116, /* 0x74 [t] [t]*/
	117, /* 0x75 [u] [u]*/
	118, /* 0x76 [v] [v]*/
	119, /* 0x77 [w] [w]*/
	120, /* 0x78 [x] [x]*/
	121, /* 0x79 [y] [y]*/
	122, /* 0x7A [z] [z]*/
	  0, /* 0x7B [ ] [{]*/
	  0, /* 0x7C [ ] [|]*/
	  0, /* 0x7D [ ] [}]*/
	  0, /* 0x7E [ ] [~]*/
	  0, /* 0x7F [ ] [ ]*/
	  0, /* 0x80 [ ] []*/
	  0, /* 0x81 [ ] []*/
	  0, /* 0x82 [ ] []*/
	  0, /* 0x83 [ ] []*/
	  0, /* 0x84 [ ] []*/
	  0, /* 0x85 [ ] []*/
	  0, /* 0x86 [ ] []*/
	  0, /* 0x87 [ ] []*/
	  0, /* 0x88 [ ] []*/
	  0, /* 0x89 [ ] []*/
	  0, /* 0x8A [ ] []*/
	  0, /* 0x8B [ ] []*/
	  0, /* 0x8C [ ] []*/
	  0, /* 0x8D [ ] []*/
	  0, /* 0x8E [ ] []*/
	  0, /* 0x8F [ ] []*/
	  0, /* 0x90 [ ] []*/
	  0, /* 0x91 [ ] []*/
	  0, /* 0x92 [ ] []*/
	  0, /* 0x93 [ ] []*/
	  0, /* 0x94 [ ] []*/
	  0, /* 0x95 [ ] []*/
	  0, /* 0x96 [ ] []*/
	  0, /* 0x97 [ ] []*/
	  0, /* 0x98 [ ] []*/
	  0, /* 0x99 [ ] []*/
	  0, /* 0x9A [ ] []*/
	  0, /* 0x9B [ ] []*/
	  0, /* 0x9C [ ] []*/
	  0, /* 0x9D [ ] []*/
	  0, /* 0x9E [ ] []*/
	  0, /* 0x9F [ ] []*/
	  0, /* 0xA0 [ ] []*/
	  0, /* 0xA1 [ ] []*/
	  0, /* 0xA2 [ ] []*/
	  0, /* 0xA3 [ ] []*/
	  0, /* 0xA4 [ ] []*/
	  0, /* 0xA5 [ ] []*/
	  0, /* 0xA6 [ ] []*/
	  0, /* 0xA7 [ ] []*/
	  0, /* 0xA8 [ ] []*/
	  0, /* 0xA9 [ ] []*/
	  0, /* 0xAA [ ] []*/
	  0, /* 0xAB [ ] []*/
	  0, /* 0xAC [ ] []*/
	  0, /* 0xAD [ ] []*/
	  0, /* 0xAE [ ] []*/
	  0, /* 0xAF [ ] []*/
	  0, /* 0xB0 [ ] []*/
	  0, /* 0xB1 [ ] []*/
	  0, /* 0xB2 [ ] []*/
	  0, /* 0xB3 [ ] []*/
	  0, /* 0xB4 [ ] []*/
	  0, /* 0xB5 [ ] []*/
	  0, /* 0xB6 [ ] []*/
	  0, /* 0xB7 [ ] []*/
	  0, /* 0xB8 [ ] []*/
	  0, /* 0xB9 [ ] []*/
	  0, /* 0xBA [ ] []*/
	  0, /* 0xBB [ ] []*/
	  0, /* 0xBC [ ] []*/
	  0, /* 0xBD [ ] []*/
	  0, /* 0xBE [ ] []*/
	  0, /* 0xBF [ ] []*/
	 97, /* 0xC0 [a] []*/
	 97, /* 0xC1 [a] []*/
	 97, /* 0xC2 [a] []*/
	 97, /* 0xC3 [a] []*/
	 97, /* 0xC4 [a] []*/
	 97, /* 0xC5 [a] []*/
	 97, /* 0xC6 [a] []*/
	 99, /* 0xC7 [c] []*/
	101, /* 0xC8 [e] []*/
	101, /* 0xC9 [e] []*/
	101, /* 0xCA [e] []*/
	101, /* 0xCB [e] []*/
	105, /* 0xCC [i] []*/
	105, /* 0xCD [i] []*/
	105, /* 0xCE [i] []*/
	105, /* 0xCF [i] []*/
	  0, /* 0xD0 [ ] []*/
	110, /* 0xD1 [n] []*/
	111, /* 0xD2 [o] []*/
	111, /* 0xD3 [o] []*/
	111, /* 0xD4 [o] []*/
	111, /* 0xD5 [o] []*/
	111, /* 0xD6 [o] []*/
	120, /* 0xD7 [x] []*/
	 48, /* 0xD8 [0] []*/
	117, /* 0xD9 [u] []*/
	117, /* 0xDA [u] []*/
	117, /* 0xDB [u] []*/
	117, /* 0xDC [u] []*/
	121, /* 0xDD [y] []*/
	  0, /* 0xDE [ ] []*/
	  0, /* 0xDF [ ] []*/
	 97, /* 0xE0 [a] []*/
	 97, /* 0xE1 [a] []*/
	 97, /* 0xE2 [a] []*/
	 97, /* 0xE3 [a] []*/
	 97, /* 0xE4 [a] []*/
	 97, /* 0xE5 [a] []*/
	 97, /* 0xE6 [a] []*/
	 99, /* 0xE7 [c] []*/
	101, /* 0xE8 [e] []*/
	101, /* 0xE9 [e] []*/
	101, /* 0xEA [e] []*/
	101, /* 0xEB [e] []*/
	105, /* 0xEC [i] []*/
	105, /* 0xED [i] []*/
	105, /* 0xEE [i] []*/
	105, /* 0xEF [i] []*/
	111, /* 0xF0 [o] []*/
	111, /* 0xF1 [o] []*/
	111, /* 0xF2 [o] []*/
	111, /* 0xF3 [o] []*/
	111, /* 0xF4 [o] []*/
	111, /* 0xF5 [o] []*/
	111, /* 0xF6 [o] []*/
	111, /* 0xF7 [o] []*/
	111, /* 0xF8 [o] []*/
	117, /* 0xF9 [u] []*/
	117, /* 0xFA [u] []*/
	117, /* 0xFB [u] []*/
	117, /* 0xFC [u] []*/
	121, /* 0xFD [y] []*/
	112, /* 0xFE [p] []*/
	121  /* 0xFF [y] []*/
};
#endif
